summaryrefslogtreecommitdiffstats
path: root/source/n/ca-certificates
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/n/ca-certificates
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/n/ca-certificates')
-rwxr-xr-xsource/n/ca-certificates/ca-certificates.SlackBuild37
-rw-r--r--source/n/ca-certificates/patches/fixup_update-ca-certificates.diff26
2 files changed, 36 insertions, 27 deletions
diff --git a/source/n/ca-certificates/ca-certificates.SlackBuild b/source/n/ca-certificates/ca-certificates.SlackBuild
index 83d61a8b1..4f2f2def3 100755
--- a/source/n/ca-certificates/ca-certificates.SlackBuild
+++ b/source/n/ca-certificates/ca-certificates.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for ca-certificates
# Copyright 2009,2011 Robby Workman Northport, AL, USA
-# Copyright 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,21 +23,29 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=ca-certificates
-VERSION=${VERSION:-20130906}
+PKGNAM=ca-certificates
+VERSION=${VERSION:-20160104}
ARCH=noarch
BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
-mkdir -p $TMP $PKG
+mkdir -p $TMP $PKG/usr/share/ca-certificates $PKG/usr/sbin
cd $TMP
-rm -rf $PRGNAM
-tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
-cd $PRGNAM || exit 1
+
+# Need both $PKGNAM and $PKGNAM-$VERSION since upstream can't decide how
+# to package their tarball:
+rm -rf $PKGNAM $PKGNAM-$VERSION
+
+# Extract the tarball:
+tar xvf $CWD/${PKGNAM}_$VERSION.tar.?z || exit 1
+
+# Again, both $PKGNAM and $PKGNAM-$VERSION are needed here:
+cd $PKGNAM || cd $PKGNAM-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -45,14 +53,17 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/patches/fixup_DESTDIR.diff.gz | patch -p1 || exit 1
+# Obsolete?
+#zcat $CWD/patches/fixup_DESTDIR.diff.gz | patch -p1 || exit 1
+
+# Remove incompatible command operators used to call 'run-parts':
zcat $CWD/patches/fixup_update-ca-certificates.diff.gz | patch -p1 || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/etc/ca-certificates/update.d
-printf "# Automatically generated by $PRGNAM-$VERSION \n#\n" \
+printf "# Automatically generated by $PKGNAM-$VERSION \n#\n" \
> $PKG/etc/ca-certificates.conf.new
( cd $PKG/usr/share/ca-certificates
find . -name '*.crt' | sort | cut -b3-
@@ -62,9 +73,9 @@ mkdir -p $PKG/usr/man/man8
gzip -9c sbin/update-ca-certificates.8 > \
$PKG/usr/man/man8/update-ca-certificates.8.gz
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
mv debian/NEWS debian/NEWS.Debian
-cp -a debian/NEWS.Debian debian/README.Debian $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a debian/NEWS.Debian debian/README.Debian $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/var/log/setup
cat $CWD/setup.11.cacerts > $PKG/var/log/setup/setup.11.cacerts
@@ -75,4 +86,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/ca-certificates/patches/fixup_update-ca-certificates.diff b/source/n/ca-certificates/patches/fixup_update-ca-certificates.diff
index 8b0435b38..1c3940585 100644
--- a/source/n/ca-certificates/patches/fixup_update-ca-certificates.diff
+++ b/source/n/ca-certificates/patches/fixup_update-ca-certificates.diff
@@ -1,14 +1,12 @@
-diff -Nur ca-certificates-20110502.orig//sbin/update-ca-certificates ca-certificates-20110502/sbin/update-ca-certificates
---- ca-certificates-20110502.orig//sbin/update-ca-certificates 2009-07-08 16:23:12.000000000 -0500
-+++ ca-certificates-20110502/sbin/update-ca-certificates 2011-07-05 17:37:01.842932741 -0500
-@@ -148,9 +148,7 @@
-
- HOOKSDIR=/etc/ca-certificates/update.d
- echo -n "Running hooks in $HOOKSDIR...."
--VERBOSE_ARG=
--[ "$verbose" = 0 ] || VERBOSE_ARG=--verbose
--eval run-parts $VERBOSE_ARG --test -- $HOOKSDIR | while read hook
-+eval run-parts $HOOKSDIR | while read hook
- do
- ( cat $ADDED
- cat $REMOVED ) | $hook || echo E: $hook exited with code $?.
+diff -urN ca-certificates-20150426.orig/sbin/update-ca-certificates ca-certificates-20150426/sbin/update-ca-certificates
+--- ca-certificates-20150426.orig/sbin/update-ca-certificates 2015-04-01 13:47:25.000000000 +0100
++++ ca-certificates-20150426/sbin/update-ca-certificates 2015-09-14 22:51:39.856021883 +0100
+@@ -193,7 +193,7 @@
+ echo "Running hooks in $HOOKSDIR..."
+ VERBOSE_ARG=
+ [ "$verbose" = 0 ] || VERBOSE_ARG="--verbose"
+- eval run-parts "$VERBOSE_ARG" --test -- "$HOOKSDIR" | while read hook
++ eval run-parts "$HOOKSDIR" | while read hook
+ do
+ ( cat "$ADDED"
+ cat "$REMOVED" ) | "$hook" || echo "E: $hook exited with code $?."